var Api = require('utils/api.js');
App({
  globalData: {
    openid: '',
    userInfo: null,
    code: '',
    scence:'',
    shareStatus:0,
  },
  data: {
    deviceInfo: {}
  },

  onLaunch: function (options) {
    this.data.deviceInfo = wx.getSystemInfoSync();
    var lastTapTime = 0;
    console.log('scene', options.scene)
    this.globalData.scence = options.scene;
    wx.setStorageSync('scene', options.scene)
    // 时间
    var start = {
      startTime: ""
    }
    wx.setStorageSync('time01', start);
    // 选项
    var testData = {
      num: 0,
      select: [],
      answer: []
    }
    wx.setStorageSync('testData', testData);
    // 积分
    var scoreData = {
      num: 0,
      score: []
    }
    wx.setStorageSync('scoreData', scoreData);
    wx.getStorageInfo({
      success: function (res) {
      }
    })

    var that = this
    var user = wx.getStorageSync('user') || {};
    var userInfo = wx.getStorageSync('userInfo') || {};
    if (!user.openid || Date.parse(new Date()) / 1000 > (user.expires_in - 600)) {

      wx.login({
        success: function (res) {
          // console.log(res.code, 'grant_type=authorization_code')
          if (res.code) {
            wx.setStorageSync("code", res.code)
            var url = Api.HOST + 'applet.php?s=Applet/getopenid';
            var data = {};
            data.code = res.code;
            Api.fetchPost(url, data, (err, res) => {
              // console.log('001')
              var obj = {};
              obj.openid = res.openid;
              if (res.unitid) {
                obj.unitid = res.unitid;
              }
              obj.unionid = res.unionid;
              obj.ret = res.ret;
              obj.expires_in = Date.parse(new Date()) / 1000 + res.expires_in;
              wx.setStorageSync('user', obj);//存储openid
              // console.log(obj, '002')
              var hosp = wx.getStorageSync("hospital")
              // if (res.unitid && !hosp){
              //   var user = wx.getStorageSync('user');
              //   var url1 = Api.HOST + 'wechat.php?s=Home/hospital';
              //   var data1 = {};
              //   data1.unitid = res.unitid;
              //   // Api.fetchPost(url1, data1, (err, res) => {
              //   //   console.log(res, 'lll000')
              //   //   wx.setStorageSync('hospital', res)
              //   //   if (res && res.type == 0) {
              //   //     wx.redirectTo({
              //   //       url: '/pages/shenhe/shenhe',
              //   //     })
              //   //   } else if (res && res.type == -1) {
              //   //     wx.redirectTo({
              //   //       url: '/pages/disable/disable',
              //   //     })
              //   //   }
              //   // })
              // }
              
            });
          } else {
            console.log('获取用户登录态失败！' + res.errMsg)
          }
        },
        fail: function (err) {
          console.log("login失败")
        }
      });
    }
  },
  getUserInfo: function (cb) {
    var that = this;
    if (this.globalData.userInfo) {
      typeof cb == "function" && cb(this.globalData.userInfo)
    } else {
      //调用登录接口
      wx.login({
        success: function (res1) {
          wx.setStorageSync("code", res1.code)
          wx.getUserInfo({
            success: function (res) {
              that.globalData.userInfo = res.userInfo
              typeof cb == "function" && cb(that.globalData.userInfo)
              wx.setStorageSync('userInfo', res.userInfo);
              if (res1.code) {
                var url = Api.HOST + 'applet.php?s=Applet/user_add';
                var data = {};
                data.code = res1.code;
                data.encryptedData = res.encryptedData;
                data.iv = res.iv;
                data.type = 1;
                Api.fetchPost(url, data, (err, res1) => {
                  console.log(res1, '001')
                });
              }
            },
            fail: function (e) {
              // console.log(e)
              var url = Api.HOST + 'applet.php?s=Applet/user_add';
              var data = {};
              wx.request({
                url: url,
                data: {
                  code: res1.code,
                  type: 0
                },
                success: function (e) {
                  // console.log(e,'e')
                }
              })
            }
          })
        },
        fail: function (err) {
          console.log("login失败")
        }
      })
    }
  },
  //  请求数据判断进入页面
  onHide: function(){
    // var scence = this.globalData.scence;
    // if (scence == 1007){
      // wx.reLaunch({
      //   url: "/pages/index/index"
      // })
    // }
    
  },
  onShow(){
    this.checkUpdateVersion()
  },
  checkUpdateVersion() {
    //判断微信版本是否 兼容小程序更新机制API的使用
    if (wx.canIUse('getUpdateManager')) {
      //创建 UpdateManager 实例
      const updateManager = wx.getUpdateManager();
      console.log('是否进入模拟更新');
      //检测版本更新
      updateManager.onCheckForUpdate(function (res) {
        console.log('是否获取版本',res);
        // 请求完新版本信息的回调
        if (res.hasUpdate) {
          console.log('是否有版本');
          //监听小程序有版本更新事件
          updateManager.onUpdateReady(function () {
            //TODO 新的版本已经下载好，调用 applyUpdate 应用新版本并重启 （ 此处进行了自动更新操作）
            updateManager.applyUpdate();
          })
          updateManager.onUpdateFailed(function () {
            // 新版本下载失败
            wx.showModal({
              title: '已经有新版本喽~',
              content: '请您删除当前小程序，到微信 “发现-小程序” 页，重新搜索打开哦~',
            })
          })
        }
      })
    } else {
      //TODO 此时微信版本太低（一般而言版本都是支持的）
      wx.showModal({
        title: '溫馨提示',
        content: '当前微信版本过低，无法使用该功能，请升级到最新微信版本后重试。'
      })
    }
  },
})