
var Api = require('../../utils/api.js');
var app = getApp();
// pages/cashregister/cashregister.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    img: '',
    nickname: '',
    title: '交易明细',
    money: '',
    num: '',
    recordDta: '',
    unitid: '',
    winH: '',
    hidden: true,
    nocancel: false,
    all_money: '',
    cz_money: '',
    show: false,
    btninfo: true,
    checkDetail: 1, // 查看交易明细
    deleteModal: true,
  },

  /**
   * 生命周期函数--监听页面加载
   */

  onLoad: function (options) {
    var that = this;
    that.indexData();
    var unitid = wx.getStorageSync('unitid');
    if (unitid == 'false' || unitid == '') {
      this.setData({
        unitid: true,
        disable: true,
        disable1: true
      })
    } else {
      this.setData({
        disable: false,
        disable1: false
      })
    }
    wx.getSystemInfo({
      success: (res) => { // 用这种方法调用，this指向Page
        that.setData({
          winH: res.windowHeight
        });
      }
    });
    var qainbao = wx.getStorageSync('hospitalmoney')
    that.setData({
      show: true,
      cz_money: qainbao.money
    });
    // });
    wx.setNavigationBarTitle({
      title: "交易明细"
    })
  },
  cancel: function () {
    this.setData({
      hidden: true
    });
  },
  confirm: function () {
    let that = this;
    wx.setClipboardData({
      data: '小懂健康',
      success: function (res) {
        wx.getClipboardData({
          success: function (res) {
            wx.showToast({
              title: '复制成功',
              duration: 400
            })
            console.log(res.data) // data
            that.setData({
              nocancel: that.data.nocancel,
              hidden: true
            });
          }
        })
      }
    })
  },
  goTixian() {
    var user = wx.getStorageSync('user');
    wx.request({
      header: { 'Content-Type': 'application/json' },
      url: Api.HOST + 'wechat.php?s=Measure/news/openid/' + user.openid + '/type/2',
      success: function (res) {
        console.log(res)
      }
    })
  },
  // 提现
  goChongzhi() {
    let that = this;
    console.log(this.data.btninfo, 'sdsds')
    if (this.data.btninfo) {
      this.setData({
        btninfo: false
      })
      console.log(this.data.btninfo, 'sdsds')
      that.setData({
        deleteModal: false,
      })
      
    }

  },
  bindEvent(e) {
    let that = this;
    var cz_money = that.data.cz_money;
    let _type = e.currentTarget.dataset.type;
    console.log(_type)
    switch (Number(_type)) {
      case 0:
        wx.navigateTo({
          url: '/pages/chongzhi/chongzhi',
        })
        break;
      case 1:
        wx.navigateTo({
          url: '/pages/prepaidcard/prepaidcard?cz_money=' + cz_money,
        });
        break;
      default:
        this.setData({
          deleteModal: true,
          btninfo: true
        })
        break;
    }
  },
  closeWin: function (e) {
    var win = e.target.dataset.id;
    if (win) {
      this.setData({
        deleteModal: true,
        btninfo: true
      })
    }
  },
  goDetail: function (e) {
    var num = e.currentTarget.dataset.id;
    wx.navigateTo({
      url: '../cashDetail/cashDetail?type=1&id=' + num,
    })
  },
  goInco: function () {
    wx.redirectTo({
      url: '../cashregister/cashregister',
    })
  },
  goExpe: function () {
    wx.navigateTo({
      url: '../zhichuRecord/zhichuRecord',
    })
  },
  goWith: function () {
    wx.redirectTo({
      url: '../cashRecord/cashRecord',
    })
  },
  dealData(a, b) {
    var s = parseFloat(a);
    var n = parseFloat(b)
    return ((s * 100 + n * 100) % 100 != 0 ? (s * 100 + n * 100) / 100 : new String((s * 100 + n * 100) / 100) + '.00');
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
      var allData = wx.getStorageSync('data');
    if (Number(allData.marketstatus) == 1){
      this.setData({
        checkDetail: 0
      })
    }else{
      this.setData({
        checkDetail: Number(allData.transaction)
      })
    }
    this.setData({
      deleteModal: true,
      btninfo: true
    })
  }, 
  indexData: function () {
    let that = this;
    var user = wx.getStorageSync('user');
    var url = Api.HOST + 'wechat.php?s=Home/index';
    var data = {};
    data.openid = user.openid;
    data.unionid = user.unionid;
    Api.fetchPost(url, data, (err, res) => {
      console.log('res', res)
      wx.setStorageSync('data', res)
    });
  },
})