var Api = require('../../utils/api.js');
import { validateIdCard } from '../../utils/util'
var app = getApp();

Page({
  data: {
    title: "录入信息",
    array: ['请选择', '小学', '初中', '高中（包括中专和普通高中）', '大学（包括高职、大专及本科）', '研究生及以上', '文盲'],
    date: '1980-01-01',//生日
    time: '请选择时间',
    items: [{
        name: '男',
        value: '男'
      },
      {
        name: '女',
        value: '女'
      },
    ],
    sex: '',
    username: '',
    usernumber: '',
    sheqvNumber: '',
    workNumber: '',
    index: 0,//文化程度
    title1: "", // 答题
    content: '',
    otype: -2,
    lb_id: '',
    lb_tz: -1,
    tplb: -1,
    show: false,
    payInfo: true,
    array1: ['请选择', '已婚', '未婚', '离异', '丧偶'],
    array2: ['请选择', '军人', '文职', '聘用人员', '其他'],
    array3: ['请选择', '未育', '怀孕', '育有1子', '育有2子及以上'],
    array4: ['请选择', '护士', '护师', '主管护师', '副主任护师及以上'],
    array5: ['请选择', '实习护士', '普通护士', '护理组长', '专科护士', "护士长"],
    array6: ['请选择', '0-3年', '4-5年', '6-10年', '11-20年', "21年以上"],
    select: 0,
    select2: 0,
    select3: 0,
    select4: 0,
    select5: 0,
    select6: 0,
    ask_department: '',//单位
    grade: '', //年级
    classGrade: '', //班级
    hosiptiaFlag: true,
    helpArr: [{
      name: '核心型',
      value: '核心型'
    }, {
      name: '大家庭',
      value: '大家庭'
    }, {
      name: '单亲型',
      value: '单亲型'
    }, {
      name: '父母离婚',
      value: '父母离婚'
    }, {
      name: '重组型',
      value: '重组型'
    }, {
      name: '其他',
      value: '其他'
    }],
    home: '', // 家庭类型
    fage: '', // 父亲年龄
    foccupation: '', //父亲职业
    fdegree: '', //父亲文化程度
    mage: '', // 母亲年龄
    moccupation: '', //母亲职业
    mdegree: '', //母亲文化程度
    jobnumber: '', //工号
    idCard: '', //身份证号
    hidden: true,
    nocancel: true,
    ishow: '',
    bid: "",
    is_yzm: "0", //验证码 0不需要 1需要
    yzm: "",
    politicsStatus: "", //政治面貌
    unitTime: "请选择", //进入单位时间
    jobNature: ["请选择", "综合岗位", "办案岗位"],
    jobSelect: 0,
    postLevel: ["请选择", "科级以上领导", "中层干部", "普通干部"],
    postSelect: 0,
  },
  onLoad: function (options) {
    var that = this;
    console.log('options', options)
    if(options.otype && options.otype == '1') {
        console.log(options.otype)
        wx.setNavigationBarTitle({
            title:'测评介绍'
        })
      } else {
        wx.setNavigationBarTitle({
            title:'录入信息'
        })
    }
    var user = wx.getStorageSync("user");
    that.setData({
      ishow: options
    })
    // 判断是否转发，
    if (true) {
      wx.login({
        success: function (res) {
          if (res.code) {
            wx.showLoading({
              title: '加载中...',
              mask: true
            })
            var url = Api.HOST + 'applet.php?s=Applet/getopenid';
            var data = {};
            data.code = res.code;
            Api.fetchPost(url, data, (err, res) => {
              var obj = {};
              obj.openid = res.openid;
              obj.unionid = res.unionid;
              obj.ret = res.ret;
              obj.expires_in = Date.parse(new Date()) / 1000 + res.expires_in;
              wx.setStorageSync('user', obj); //存储openid
              var otype = options.otype ? options.otype : -1;
              // =0 心理测试支付  =1 第一次答完题进行第二题  else 扫码过来
              if (otype == '0') {
                var itemData = wx.getStorageSync("itemData");
                if (itemData[0]) {
                  that.setData({
                    otype: 0,
                    title1: itemData[0].measure_name,
                    content: itemData[0].measure_desc,
                    show: true,
                    is_yzm: options.is_yzm
                  })
                }
                wx.setStorageSync('g_id', options.g_id)
              } else if (otype == '1'|| otype == '3') {
                wx.setStorageSync('g_id', options.g_id)
                that.setData({
                  is_yzm: options.is_yzm
                })
                if (options.otype1 && options.otype1 == '1') {
                  var info = wx.getStorageSync('weiLb');
                  if (info.unitid == 737) {
                    that.setData({
                      hosiptiaFlag: false,
                    })
                  } else {
                    that.setData({
                      hosiptiaFlag: true,
                      unitid: info.unitid,
                    })
                  }
                  that.loaditem(info);
                } else {
                  var info = wx.getStorageSync('weiLb');
                  that.loaditem(info);
                }
              } else {
                // 二维码携带的参数
                var scene = decodeURIComponent(options.scene)
                wx.setStorageSync('g_id', scene)
                that.zfpd(scene);
              }
              that.loadData();
              wx.setNavigationBarTitle({
                title: that.data.title
              });
            });
          } else {
            console.log('获取用户登录态失败！' + res.errMsg)
          }
        },
        fail: function (err) {
          console.log("login失败")
        }
      });
    } else {

    }
    // let allData = wx.getStorageSync('data');
  },
  confirm: function () {
    this.setData({
      nocancel: this.data.nocancel,
      hidden: true,
      payInfo: true
    });
    wx.showTabBar({
      aniamtion: true
    })
  },
  zfpd(e) {
    let that = this;
    var url = Api.HOST + 'wechat.php?s=Measure/is_price';
    var user = wx.getStorageSync('user');
    var data = {};
    data.z_openid = user.openid;
    data.g_id = e;
    Api.fetchPost(url, data, (err, res) => {
      wx.hideLoading()
      this.setData({
        unitid: res.unitid,
        bid: res.measure_id_z,
        is_yzm: res.is_yzm
      })
      that.loadData();
      if (Number(res) == 0) {
        Api.alert('您扫的二维码已经失效，请重新检测。', function () {
          wx.switchTab({
            url: '/pages/index/index',
          })
        });
      } else {
        wx.setStorageSync('weiLb', res);
        if(res.t_openid) {
            wx.setStorageSync('param_t_openid',res.t_openid);
        }
        // 是否有未做完的题
        if (res.unitid == 737) {
          that.setData({
            hosiptiaFlag: false
          })
        } else {
          that.setData({
            hosiptiaFlag: true
          })
        }
        // res.record_id = res.characters_id;
        if (res.characters_id) {
          res.record_id = res.characters_id
        } else {
          res.record_id = -1;
        }
        // wx.setStorageSync('yanzhengid', characters_id);
        // 
        // 功能更改    账户没钱，提醒用户，用户不需要支付
        // 
        // 
        if (Number(res.type) == 1) {
          that.loaditem(res, e);
        } else if (Number(res.type) == 2) {
          Api.alert('您已测试完成，请勿重复扫码。', function () {
            wx.switchTab({
              url: '/pages/index/index',
            })
          });
        } else {
          if (Number(res.status) == 0) {
            that.pay(res, e);
          } else {
            var user = wx.getStorageSync('user');
            var data1 = {};
            data1.openid = user.openid;
            data1.gold = res.money;
            data1.unitid = res.unitid;
            data1.payargs = '';
            data1.type = res.status;
            data1.g_id = e;
            var url = Api.HOST + 'wechat.php?s=Home/paycs';
            Api.fetchPost(url, data1, (err, res1) => {
              if (Number(res1.ret) == 0) {
                // that.pay(res, e);
                wx.showToast({
                  title: '账户余额不足',
                  icon: 'loading',
                  duration: 2000
                })
                setTimeout(function () {
                  wx.switchTab({
                    url: '/pages/index/index',
                  })
                }, 2000)
              }
              that.loaditem(res, e);
            });
          }
        }
      }
    })
  },
  onShow: function () {
    let that = this;
    var date = new Date();
    var year = date.getFullYear();
    var month = date.getMonth() + 1;
    var day = date.getDate();
    var str = year + "-" + month + "-" + day;
    var str1 = (year - 100) + "-" + month + "-" + day;
    that.setData({
      endTime: str,
      startTime: str1
    })
  },
  /**
   * 自定义函数---加载量表数据
   * 参数e--- measure_id---量表id
   * money--量表支付的钱
   * status---是否允许查看报告
   * is_type---是否免费检测
   * 
   * */
  loaditem(e) {
    // console.log(e,'this is e')
    let that = this;
    var user = wx.getStorageSync('user');
    var data = {};
    var urlt = Api.HOST + 'wechat.php?s=Measure/up_price';
    data.z_openid = user.openid;
    data.t_openid = e.t_openid;
    data.g_time = e.g_time || e.time;
    Api.fetchPost(urlt, data, (err, res) => {
      that.setData({
        show: true,
        bid: res[0]
      })
      if (res[0]) {
        that.setData({
          lb_id: res[0]
        })
        var lb_descript = {
          id: res,
          desc: e
        }
        wx.setStorageSync("lb_descript", lb_descript);
        var url = Api.HOST_xinli_lb + 'yiyuan/measure/' + res[0] + '.json';
        var data = {};
        data.measure_id = res[0];
        Api.fetchGetN(url, (err, res) => {
          // clearTimeout(loadingPhoto)
          wx.hideLoading()
          that.setData({
            content: res[0].measure_desc,
            title1: res[0].measure_name,
            measure_id: data.measure_id
          })
          res[0].measure_id = data.measure_id;
          wx.setStorageSync('lb_swiper_con', res)
         if (Number(res[0].type) == 3) {
            //  瑞文
            that.setData({
              lb_tz: 3
            })
            var obj = {
              res: res,
              talp: 1
            }
            wx.setStorageSync('liangbiaoCon', obj)
          } else {
            that.setData({
              lb_tz: 0
            })
            var obj = {
              res: res,
              talp: 1
            }
            wx.setStorageSync('liangbiaoCon', obj)
          }
          wx.setStorageSync('lb_tz', -1)
        })
      } else {
        wx.hideLoading()
        wx.showModal({
          title: '提示',
          // cancelText: '取消',
          confirmText: '确定',
          content: "这是他评量表，由医生负责评估，请联系您的医生开始测试。",
          success: function (res) {
            if (res.confirm) {
              wx.switchTab({
                url: '/pages/index/index',
              })
            } else if (res.cancel) {
              wx.switchTab({
                url: '/pages/index/index',
              })
            }
          }
        })
      }
    })
  },
  cmi: function () {
    // console.log(0)
    var lb_swiper_con = wx.getStorageSync('lb_swiper_con');
    var liangbiaoCon = wx.getStorageSync('liangbiaoCon');
    var _len = Object.getOwnPropertyNames(liangbiaoCon.res[1])
    // console.log(_len.length != 2, _len.length,'/////////////')
    if (_len.length != 2) return;
    if (this.data.sex == '女') { //  女 == 1 男 === 2
      liangbiaoCon.res[1] = liangbiaoCon.res[1][1];
      lb_swiper_con[1] = lb_swiper_con[1][1];
    } else {
      liangbiaoCon.res[1] = liangbiaoCon.res[1][2];
      lb_swiper_con[1] = lb_swiper_con[1][2];
    }
    wx.setStorageSync('liangbiaoCon', liangbiaoCon);
    wx.setStorageSync('lb_swiper_con', lb_swiper_con);
  },
  submit: function () {
    var userOpenid = wx.getStorageSync('user').openid;
    if(userOpenid == '' || userOpenid == 'undefined' || userOpenid == null || userOpenid == 'null' || userOpenid == 'NULL') {
        Api.alert("数据异常，请尝试重新进入小程序");
        return false;
    }
    var paramtOpenid = wx.getStorageSync('param_t_openid');
    if(paramtOpenid == '' || paramtOpenid == 'undefined' || paramtOpenid == null || paramtOpenid == 'null' || paramtOpenid == 'NULL') {
        Api.alert("请重新扫码");
        return false;
    }
    var paramtGid = wx.getStorageSync('g_id');
    if(paramtGid == '' || paramtGid == 'undefined' || paramtGid == null || paramtGid == 'null' || paramtGid == 'NULL') {
        Api.alert("请重新扫码");
        return false;
    }
    var that = this;
    if (this.data.measure_id == 86) {
      that.cmi();
    }
    that.verify((verify) => {
      if (that.data.payInfo) {
        if (that.data.is_yzm == 1 && verify.ret != 1) {
          wx.showToast({
            title: verify.info,
            icon: 'none',
            duration: 2000
          })
          return;
        } else {
          var user = wx.getStorageSync('user');
          var unitid = wx.getStorageSync('data').unitid;
          var authorize = wx.getStorageSync("weiLb");
        //   var urlt = Api.HOST + 'wechat.php?s=Home/stinfo_two';
          var data = {};
          data.characters_id = authorize.characters_id ? authorize.characters_id : authorize.record_id;
          data.unitid = unitid ? unitid : '';
          data.openid = user.openid; 
          data.name = that.data.username; //姓名
          data.sex = that.data.sex; //性别
          data.birthday = that.data.date; // 生日
          data.usernumber = that.data.usernumber  //手机号
          data.jobnumber = that.data.jobnumber; //工号
          data.sheqvNumber = that.data.sheqvNumber;
          data.workNumber = that.data.workNumber;
          data.idCard = that.data.idCard||'';
          data.ask_department=that.data.ask_department||'';
          data.hunfou=that.data.select||0;//婚姻状况
          if (that.data.is_yzm == 1) {
            data.yzm = that.data.yzm;
          }
          // 新添加学历功能
          data.edu = that.data.index||0;
          console.log('data',data)
          if (data.name == '' || data.name == 'null' || data.sex == "null" || data.sex == "" || data.birthday == '' || data.birthday == 'null' || data.edu == 0||data.idCard==""||data.ask_department==""||data.hunfou==0){
            that.setData({
              payInfo: true
            })
            Api.alert('请完善信息');
            return;
          }
          if( data.usernumber=='' || data.usernumber == 'null' || data.usernumber.length != 11){
            that.setData({
              payInfo: true
            })
            Api.alert('请填写正确的手机号');
            return;
          }
          if(!validateIdCard(data.idCard)){
            that.setData({
              payInfo: true
            })
            Api.alert('请填写正确的身份证号');
            return;
          }
          var timer1 = setTimeout(function () {
            // Api.alert("加载失败，请重试")
            wx.hideLoading()
            that.setData({
              payInfo: true
            })
          }, 5000)
          this.setData({
            payInfo: false
          })
          wx.showLoading({
            title: '请稍后',
            mask: true
          })
          var judgeSex = 0;
          if (data.sex == '男') {
            judgeSex = 1;
          }
          wx.setStorageSync("judgeSex", judgeSex);
          wx.setStorageSync("allUserinfo", data);
            wx.hideLoading()
            clearTimeout(timer1)
              if (that.data.otype == 0 && that.data.lb_tz == '-1') {
                wx.navigateTo({
                  url: '/pages/dati04/dati04?otype=11',
                  success: function () {
                    wx.hideLoading()
                    setTimeout(function () {
                      that.setData({
                        payInfo: true
                      })
                    }, 500)
                  }
                })
              } else if (Number(that.data.lb_id) == 10) {
                // 防御方式
                wx.navigateTo({
                  url: '/pages/dati/dati',
                  success: function () {
                    wx.hideLoading()
                    setTimeout(function () {
                      that.setData({
                        payInfo: true
                      })
                    }, 500)
                  }
                })
              } else if (that.data.lb_tz == '3') {
                // 瑞文
                wx.navigateTo({
                  url: '/pages/dati03/dati03',
                  success: function () {
                    wx.hideLoading()
                    setTimeout(function () {
                      that.setData({
                        payInfo: true
                      })
                    }, 500)
                  }
                })
              } else if (Number(that.data.lb_id) == '647') {
                wx.navigateTo({
                  url: '/pages/dati05/dati05?id=' + that.data.bid,
                  success: function () {
                    wx.hideLoading()
                    setTimeout(function () {
                      that.setData({
                        payInfo: true
                      })
                    }, 500)
                  }
                })
              } else if (Number(that.data.lb_id) == '654' || Number(that.data.lb_id) == '655' || Number(that.data.lb_id) == '722') {
                wx.navigateTo({
                  url: '/pages/dati06/dati06?id=' + that.data.bid,
                  success: function () {
                    wx.hideLoading()
                    setTimeout(function () {
                      that.setData({
                        payInfo: true
                      })
                    }, 500)
                  }
                })
              }else if(Number(that.data.lb_id) == '145'){
                wx.navigateTo({
                  url: '/pages/dati08/dati08?id=' + that.data.bid,
                  success: function () {
                    wx.hideLoading()
                    setTimeout(function () {
                      that.setData({
                        payInfo: true
                      })
                    }, 500)
                  }
                })
              } else {
                wx.navigateTo({
                  url: '/pages/dati04/dati04?id=' + that.data.bid,
                  success: function () {
                    wx.hideLoading()
                    setTimeout(function () {
                      that.setData({
                        payInfo: true
                      })
                    }, 500)
                  }
                })
              }
        }
      }
    })
  },
  /**
   * 自定义函数---加载数据
   * */
  loadData() {
    var that = this;
    // 获取授权  上传头像昵称  得到这个用户的信息
    // var url = Api.HOST + 'wechat.php?s=Home/getinfo_two';
    var url = Api.HOST + 'wechat.php?s=Home/getinfo';
    // var url = Api.HOST + 'wechat.php?s=Home/getinfos';
    var data = {};
    var user = wx.getStorageSync('user');
    var authorize = wx.getStorageSync('weiLb');
    if (this.data.tplb != '1') {
      data.openid = user.openid;
      data.characters_id = authorize.characters_id || authorize.record_id;
    } else {
      var info = wx.getStorageSync('tplbDetail');
      data.openid = info.z_openid;
      data.characters_id = authorize.characters_id ||authorize.record_id;
    }
    Api.fetchPost(url, data, (err, res) => {
      if (that.data.unitid == '1018') {
        if (that.data.ishow.ishow != 1) {
          this.setData({
            hidden: false
          });
        }
      }
      if(res.info) {
        wx.setStorageSync('userInfo', res.info)
      }
      if(wx.getStorageSync('allUserinfo')) {
        console.log('用的缓存用户信息');
        var storageUserinfo = wx.getStorageSync('allUserinfo');
        if(storageUserinfo.edu == '') {
            storageUserinfo.edu = 0;
        } else {
            storageUserinfo.edu = storageUserinfo.edu ? storageUserinfo.edu : 0;
        }
        if (!storageUserinfo.birthday) {
            storageUserinfo.birthday = "请选择";
        } else {
            storageUserinfo.birthday = storageUserinfo.birthday;
        }
        that.setData({
            username: storageUserinfo.name ? storageUserinfo.name : '',
            usernumber: storageUserinfo.usernumber ? storageUserinfo.usernumber : '',
            ask_department: storageUserinfo.ask_department ? storageUserinfo.ask_department : '',
            select: storageUserinfo.hunfou ? storageUserinfo.hunfou : 0,
            idCard:storageUserinfo.idCard ? storageUserinfo.idCard : '',
            index: storageUserinfo.edu,
            date: storageUserinfo.birthday,
            sex: storageUserinfo.sex,
            home: storageUserinfo.house, // 家庭类型
            fage: storageUserinfo.fage, // 父亲年龄
            foccupation: storageUserinfo.foccupation, //父亲职业
            fdegree: storageUserinfo.fdegree, //父亲文化程度
            mage: storageUserinfo.mage, // 母亲年龄
            moccupation: storageUserinfo.moccupation, //母亲职业
            mdegree: storageUserinfo.mdegree, //母亲文化程度
            jobnumber: storageUserinfo.jobnumber ? storageUserinfo.jobnumber : '', //工号
            yzm:that.data.is_yzm == 1 ? storageUserinfo.yzm : ''
          });
      } else {
        console.log('用的后端接口用户信息') ;
        if (res.info) {
            if (res.info.cultural == '') {
              res.info.cultural = 0;
            } else {
              res.info.cultural = res.info.cultural || res.info.edu;
            }
            if (!res.info.birthday) {
              res.info.birthday = "请选择";
            } else {
              res.info.birthday = res.info.birthday;
            }
            var essentialData = {}
            if (res.info.essential_information) {
              essentialData = JSON.parse(res.info.essential_information);
            }
            // wx.setStorageSync('userInfo', res.info)
              that.setData({
                username: res.info.name||'',
                usernumber: essentialData.usernumber || '',
                ask_department: essentialData.ask_department || '',
                select: res.info.hunfou || 0,
                idCard:essentialData.idCard||'',
                index: res.info.cultural||0,//文化程度-接口返回的是cultural，前端用的是edu
                date: res.info.birthday,
                sex: res.info.xingbie,
                home: res.info.house, // 家庭类型
                fage: res.info.fage, // 父亲年龄
                foccupation: res.info.foccupation, //父亲职业
                fdegree: res.info.fdegree, //父亲文化程度
                mage: res.info.mage, // 母亲年龄
                moccupation: res.info.moccupation, //母亲职业
                mdegree: res.info.mdegree, //母亲文化程度
                jobnumber: res.info.jobnumber ||'', //工号
                yzm: that.data.is_yzm == 1 ? essentialData.yzm : ''
              });
          }
      }
     
    });
  },
  onUnload() {},
  // 时间转换
  resTime: function (str) {
    var hour = str.split(":")[0];
    var minute = str.split(":")[1];
    var sec = str.split(":")[2];
    return (hour * 3600 + minute * 60 + sec);
  },
  fengei: function (str) {
    return str.split(',');
  },
  // 数组求和
  add: function (arr) {
    var num = 0;
    for (let i = 0; i < arr.length; i++) {
      num += Number(arr[i]);
    }
    return num;
  },
  inputChange: function (e) {
    this.setData({
      username: e.detail.value,
    })
  },
  inputIdCard(e) {
    this.setData({
      idCard: e.detail.value,
    })
  },
  inputjobnumber: function (e) {
    this.setData({
      jobnumber: e.detail.value,
    })
  },
  people: function (e) {
    this.setData({
      multiIndex: e.detail.value
    })
  },

  //性别
  radioChange: function (e) {
    this.setData({
      sex: e.detail.value,
    })
  },
  //日期
  bindDateChange: function (e) {
    this.setData({
      date: e.detail.value
    })
  },
  // 学历
  bindPickerChange: function (e) {
    var num = e.detail.value;
    this.setData({
      index: num
    })
  },
  //政治面貌
  inputPolitics: function (e) {
    var val = e.detail.value;
    this.setData({
      politicsStatus: val
    })
  },
  //进入单位时间
  bindUnitTime: function (e) {
    var val = e.detail.value;
    this.setData({
      unitTime: val
    })
  },
  // 婚姻状况
  bindPickerChange1: function (e) {
    var num = e.detail.value;
    this.setData({
      select: num
    })
  },
  //人员类别
  bindPickerChange2: function (e) {
    var num = e.detail.value;
    this.setData({
      select2: num
    })
  },
  //生育情况
  bindPickerChange3: function (e) {
    var num = e.detail.value;
    this.setData({
      select3: num
    })
  },
  //职称
  bindPickerChange4: function (e) {
    var num = e.detail.value;
    this.setData({
      select4: num
    })
  },
  //工作职务
  bindPickerChange5: function (e) {
    var num = e.detail.value;
    this.setData({
      select5: num
    })
  },
  //工作年限
  bindPickerChange6: function (e) {
    var num = e.detail.value;
    this.setData({
      select6: num
    })
  },
  bindPickerJob: function (e) {
    var num = e.detail.value;
    this.setData({
      jobSelect: num
    })
  },
  bindPickerPost: function (e) {
    var num = e.detail.value;
    this.setData({
      postSelect: num
    })
  },
  // 单位名称
  inputChange1: function (e) {
    this.setData({
        ask_department: e.detail.value,
    })
  },
  inputChange3: function (e) {
    this.setData({
      sheqvNumber: e.detail.value,
    })
  },
  inputChange4: function (e) {
    this.setData({
      workNumber: e.detail.value,
    })
  },
  inputChange5: function (e) {
    this.setData({
      grade: e.detail.value,
    })
  },
  inputChange6: function (e) {
    this.setData({
      classGrade: e.detail.value,
    })
  },
  inputyzm: function (e) {
    this.setData({
      yzm: e.detail.value,
    })
  },
  //编号
  inputChange2: function (e) {
    this.setData({
      usernumber: e.detail.value,
    })
  },
  // 下拉刷新
  onPullDownRefresh: function () {
    wx.stopPullDownRefresh()
  },
  fage(e) {
    this.setData({
      fage: e.detail.value
    })
  },
  foccupation(e) {
    this.setData({
      foccupation: e.detail.value
    })
  },
  fdegree(e) {
    this.setData({
      fdegree: e.detail.value
    })
  },
  mage(e) {
    this.setData({
      mage: e.detail.value
    })
  },
  moccupation(e) {
    this.setData({
      moccupation: e.detail.value
    })
  },
  mdegree(e) {
    this.setData({
      mdegree: e.detail.value
    })
  },
  // 困难
  radioChangeHelp: function (e) {
    this.setData({
      home: e.detail.value
    })
  },
  //验证码验证是否正确
  verify(c) {
    var that = this;
    var url = Api.HOST + "wechat.php?s=/Measure/is_randoms";
    var data = {
      g_id: wx.getStorageSync('g_id'),
      unitid: wx.getStorageSync('weiLb').unitid,
      yzm: that.data.yzm,
      openid: wx.getStorageSync('user').openid
    }
    Api.fetchPost(url, data, (err, res) => {
      c(res);
    })
  }
})