var Api = require('../../utils/api.js');
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    winH: '',
    arr: '',
    arr1: '',
    sunMoney: 0,
    num: '',
    num1: '',
    matchdata: [],
    lbprice: [],
    mfCheck: false,
    payInfo: true,
    hidden_1: 0
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.main();
    wx.setNavigationBarTitle({
      title: '量表确认'
    });
    var lbprice_1 = wx.getStorageSync('lbprice');

    // // 存放输入的量表价格
    // var lbprice_1 = [];
    wx.setStorageSync('lbprice_1', lbprice_1);
    var lbid_1 = wx.getStorageSync('matchdata');
    // var lbid_1 = [];
    wx.setStorageSync('lbid_1', lbid_1);
    var liangbiao = wx.getStorageSync('liangbiao');
    var lbname_1 = [];
    var lbtype = [];
    for (let i = 0; i < liangbiao.length; i++) {
      lbname_1.push(liangbiao[i].measure_name)
      wx.setStorageSync('lbname_1', lbname_1);
      lbtype.push(liangbiao[i].measure_type)
      wx.setStorageSync('lbtype', lbtype);
    }
  },
  main() {
    let that = this;
    // 计算高度
    wx.getSystemInfo({
      success: (res) => {
        console.log(res.model)
        if (/^iPhone X.*/i.test(res.model)) {
          that.setData({
            iPhoneX: true,
            winH: res.windowHeight - 75
          })
        } else {
          that.setData({
            iPhoneX: false,
            winH: res.windowHeight - 50
          })
        }
      }
    });
    // 请求数据
    var liangbiao = wx.getStorageSync('liangbiao');
    that.dealData(liangbiao);
  },
  /*
  * 处理数据
  * a 接受的参数  数组
  **/
  dealData(a) {
    // console.log(a)
    var num = 0;
    var lbprice = wx.getStorageSync('lbprice');
    for (var i in a) {
      num = num + Number(a[i].price);
    }
    console.log(a)
    this.setData({
      sunMoney: num,
      arr: a,
      num: a.length,
      num1: a.length,
      lbprice: lbprice
    })
  },
  selectData(e) {
    // idx  每条记录的measure_id
    var idx = e.currentTarget.dataset.idx;
    var sunMoney = 0;
    var arr = this.data.arr;
    var lbprice_1 = wx.getStorageSync('lbprice_1');
    var lbname_1 = wx.getStorageSync('lbname_1');
    var lbid_1 = wx.getStorageSync('lbid_1');
    var lbtype = wx.getStorageSync('lbtype');

    var num = 0;
    for (let i in arr) {
      if (idx == arr[i].measure_id) {
        // Number(arr[i].check) == 0 未选中
        if (Number(arr[i].check) == 0) {
          arr[i].check = 1;
          num = Number(this.data.num1) + 1;
          lbprice_1[i] = arr[i].price;
          lbid_1[i] = idx;
          lbtype[i] = arr[i].measure_type;
          lbname_1[i] = arr[i].measure_name;
          if (!this.data.mfCheck) {
            sunMoney = Number(arr[i].price);
          }
        } else {
          arr[i].check = 0;
          num = Number(this.data.num1) - 1;
          lbprice_1[i] = -1;
          lbid_1[i] = -1;
          lbname_1[i] = -1;
          lbtype[i] = -1;
          if (!this.data.mfCheck) {
            sunMoney = -Number(arr[i].price);
          }
        }
      }
    }
    this.setData({
      arr: arr,
      sunMoney: Number(this.data.sunMoney) + sunMoney,
      num: num,
      num1: num,
      lbprice: lbprice_1
    })
    wx.setStorageSync('lbprice_1', lbprice_1);
    wx.setStorageSync('lbid_1', lbid_1)
    wx.setStorageSync('lbname_1', lbname_1)
    wx.setStorageSync('lbtype', lbtype)
  },
  /*
  *功能：设置免费检测
  *免费   设置好免费价格  则价格不再改变
  *不免费 不免费检测  重新加载
  **/
  // mfCheck() {
  //   var mfCheck = this.data.mfCheck;
  //   if (mfCheck == true) {
  //     this.setData({
  //       mfCheck: false,
  //     })
  //     this.onLoad()
  //   } else {
  //     wx.navigateTo({
  //       url: '../set/set',
  //     })
  //   }
  // },
  /**
   * 自定义函数--是否允许查看报告
   */
  see() {
    if (this.data.hidden) {
      this.setData({
        hidden: false,
        hidden_1: 1
      })
    } else {
      this.setData({
        hidden: true,
        hidden_1: 0
      })
    }
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    var pages = getCurrentPages();
    var currPage = pages[pages.length - 1];
    console.log(currPage, 'currPage')
    var num = typeof currPage.data.lbmoney != 'undefined' ? Number(currPage.data.lbmoney) : 0;
    if (num != 0) {
      this.setData({
        // sunMoney: num,
        mfCheck: true,
        // status1:status
      })
    } else {
      this.main();
    }
    var currPage1 = pages[pages.length - 2];
    console.log(currPage1, 'currPage1')
    if (currPage1) {
      this.setData({
        hidden: currPage1.data.baogao
      })
    }
  },
  queding() {
    let that = this;
    if (this.data.payInfo) {
      this.setData({ payInfo: false })
      var measure_id_z = [];
      var measure_id_t = [];
      // 1 免费
      var measure_id = wx.getStorageSync('lbid_1');
      var measure_name = wx.getStorageSync('lbname_1');
      var price = wx.getStorageSync('lbprice_1');
      var lbtype = wx.getStorageSync('lbtype');
      if (!this.data.mfCheck) {
        var status = 0;
      } else if (Number(this.data.status) == 2) {
        var status = 2;
      } else {
        var status = 1;
      }
      for (let i in price) {
        if (price[i] == -1) {
          price.splice(i, 1);
          measure_name.splice(i, 1);
          measure_id.splice(i, 1);
          lbtype.splice(i, 1);
        }
      }
      for (let j in lbtype) {
        if (lbtype[j] == 0) {
          measure_id_z.push(measure_id[j])
        } else {
          measure_id_t.push(measure_id[j])
        }
      }
      if (measure_id_z.length == 0) {
        measure_id_z[0] = 0;
      }
      if (measure_id_t.length == 0) {
        measure_id_t[0] = 0;
      }
      var money = this.data.sunMoney
      var bg = 0;
      if (this.data.hidden) {
        bg = 1
      } else {
        bg = 0
      }
      var data = {
        measure_id: measure_id,
        price: price,
        money: money,
        status: 1,
        is_type: bg,
        measure_name: measure_name,
        measure_type: lbtype,
        measure_id_t: measure_id_t,
        measure_id_z: measure_id_z
      }
      wx.setStorageSync("lbtijiao", data);
      if (Number(this.data.num) != 0) {
        // wx.navigateTo({
        //   url: '../set/set',
        //   success: function(){
        //     setTimeout(function(){
        //       that.setData({ payInfo: true })
        //     },500)
        //   }
        // })
        wx.reLaunch({
          url: '/pages/QRcode/QRcode?type=1',
          success: function () {
            setTimeout(function () {
              that.setData({ payInfo: true })
            }, 500)
          }
        })
      }
    }
  }
})