var Api = require('../../utils/api.js');
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    src: '',
    winH: ''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    let that = this;
    wx.getSystemInfo({
      success: (res) => {
        that.setData({
          winH: res.windowHeight
        })
      }
    });

  },
  dealPho(str, host) {
    return str.replace("./", host);
  },
  goKefu: function () {
    var user = wx.getStorageSync('user');
    wx.request({
      header: { 'Content-Type': 'application/json' },
      url: Api.HOST + 'wechat.php?s=Measure/news/openid/' + user.openid + '/type/1',
      success: function (res) {
        console.log(res)
      }
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.freshData();
  },
  // 下拉刷新
  onPullDownRefresh: function () {
    console.log("ppp")
    this.setData({
      success: false
    })
    this.freshData();
  },
  freshData: function () {
    let that = this;
    var user = wx.getStorageSync('user');
    var data = {};
    data.openid = user.openid;
    var url1 = Api.HOST + 'wechat.php?s=Home/isFenXiang';
    data.typea = 4;
    Api.fetchPost(url1, data, (err, res) => {
      console.log(res, 'res')
      wx.stopPullDownRefresh()
      var imgHeight = res.res.homeimg.split(',');
      var imgSrc = [];
      var host = Api.HOST_Share;
      for (let i = 0; i < res.res.imgpath.length; i++) {
        imgSrc.push(that.dealPho(res.res.imgpath[i], host))
      }
      that.setData({
        src: imgSrc,
        imgHeight: imgHeight,
        title: res.res.title
      })
      var wentiData = {
        src: imgSrc,
        imgHeight: imgHeight,
        title: res.res.title
      }
      wx.setNavigationBarTitle({
        title: res.res.title
      });
    })
  }


})