
var Api = require('../../utils/api.js');
var app = getApp();
// pages/cashregister/cashregister.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    img: Api.HOST + 'Public/yanzheng/logo.png',
    nickname: '',
    title: '交易明细',
    money: '',
    num: '',
    recordDta: [],
    winH: '',
    marketstatus: '',
    toView: 'load',
    success: 1,
    page: 0,
    // scrollFlag: true,
    barFlag: true,
    showunitid: false,
    show: false,
    change: 1,
    change1: 1,
    btninfo: true
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var that = this;
    wx.getSystemInfo({
      success: (res) => {
        if (/^iPhone X.*/i.test(res.model)) {
          that.setData({
            iPhoneX: true,
            winH: res.windowHeight
          })
        } else {
          that.setData({
            iPhoneX: false,
            winH: res.windowHeight
          })
        }
      }
    });
    var allData = wx.getStorageSync('data');
    var dataArr = wx.getStorageSync('cashDataArr');
    this.setData({
      marketstatus: allData.marketstatus,
      // recordDta:dataArr
    })
    wx.setNavigationBarTitle({
      title: this.data.title
    })
  },
  onReady: function () {

  },
  loadData: function () {
    let that = this;
    var url = Api.HOST + 'wechat.php?s=Money/Money_list';
    var data = {};
    var user = wx.getStorageSync('data');
    console.log("user",user)
    if (!user.unitid) {
      wx.showModal({
        title: '提示',
        content: '数据加载异常,请关掉进程重新进入',
        showCancel:false,
        success(res) {
          if (res.confirm) {
            wx.switchTab({
              url: '/pages/index/index'
            })
          } 
        }
      })
      return;
    }
    var loadPho = setTimeout(function () {
      wx.showLoading({
        title: '正在加载',
      })
    }, 1000)
    data.zhichu = data.chongzhi = data.shouru = data.tixian = 0;
    data.openid = user.openid;
    data.unionid = user.unionid;
    data.unitid = user.unitid;
    Api.fetchPost(url, data, (err, res) => {
      var zhichuMoney = Number(res[0].zhichu) == 0 ? '0.00' : res[0].zhichu;
      var r = res[1][0]
      console.log(res,'00')
      var numunitid = wx.getStorageSync("unitid");
      if (numunitid != "false") {
        that.setData({
          showunitid: true,
          numunitid: numunitid,
          chongzhiMoney: res[0].chongzhi
        })
      }
      clearTimeout(loadPho)
      wx.hideLoading();

      if (r.chongzhi.length == 0 && r.shouru.length == 0 && r.tixian.length == 0 && r.zhichu.length == 0) {
        that.setData({
          recor404: 0
        })
      } else {
        that.constructData1(res[1][0]);
      }
      that.setData({
        zhichuMoney: zhichuMoney,
        show: true,
      });
    });
  },
  constructData: function (data) {
    let that = this;
    // console.log(data)
    if (data.zhichu.length > 0){
      for (let i = 0; i < data.zhichu.length; i++) {
        data.zhichu[i].createtime = Api.timestampToTime(data.zhichu[i].createtime)
        // resu.push(dataArr[i])
      }
    }
    if (data.chongzhi.length > 0) {
      for (let i = 0; i < data.chongzhi.length; i++) {
        data.chongzhi[i].createtime = Api.timestampToTime(data.chongzhi[i].createtime)
        // resu.push(dataArr[i])
      }
    }
    var dataArr = [];
    // console.log('lll', this.data.page == 0, this.data.recordDta)
    if (this.data.page == 0){
      dataArr = []
    }else{
      dataArr = this.data.recordDta
    }
    // console.log(this.data.change, this.data.change1,dataArr)
    if (this.data.change == 1) {
      for (let i = 0; i < data.chongzhi.length; i++) {
        data.chongzhi[i].otype = 0;
        dataArr.push(data.chongzhi[i])
      }
    }
    if (this.data.change1 == 1) {
      for (let i = 0; i < data.zhichu.length; i++) {
        data.zhichu[i].otype = 3;
        dataArr.push(data.zhichu[i])
      }
    }
    console.log('dataArr', dataArr)
    for (let j = 0; j < dataArr.length; j++) {
      for (let i = 0; i < dataArr.length - j - 1; i++) {
        if (dataArr[i].createtime < dataArr[i + 1].createtime) {
          var temp = dataArr[i];
          dataArr[i] = dataArr[i + 1];
          dataArr[i + 1] = temp;
        }
      }
    }
    if (this.data.change1 == 1 && this.data.change == 1) {
      var dataArr = this.data.recordDta;
    } else {
      // var resu = []
    }  
    console.log(dataArr)
    var scrollFlag = dataArr.length < 10 ? false : true;
    that.setData({
      btninfo: true,
      recordDta: dataArr,
      recor404: 1,
      page: Number(that.data.page) + 10,
      scrollFlag: scrollFlag,
    })
    setTimeout(function () {
      that.setData({
        success: true,
      })
    }, 3000)
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    var pages = getCurrentPages();
    var currPage = pages[pages.length - 2];
    var currPage1 = pages[pages.length - 3];
    // console.log(currPage1, 'currPage1')
    this.setData({
      // chongzhiMoney: currPage.data.cz_money,
      img: currPage1.data.hospitalimg,
      nickname: currPage1.data.hospitalname
    });
    // 加载
    this.loadData();
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
    this.setData({ change: 1, change1: 1})
  },
  onUnload: function () {
    this.setData({ change: 1, change1: 1 })
  },

  lower: function () {
    let that = this;
    if (!this.data.scrollFlag)
      return;
    var url = Api.HOST + 'wechat.php?s=Money/Money_list';
    var data = {};
    var user = wx.getStorageSync('user');
    if (!user.unionid || !user.unitid) {
      wx.showModal({
        title: '提示',
        content: '数据加载异常,请关掉进程重新进入',
        showCancel: false,
        success(res) {
          if (res.confirm) {
            wx.switchTab({
              url: '/pages/index/index'
            })
          }
        }
      })
      return;
    }
    // console.log(this.data.page, 'this.data.page')
    data.unitid = user.unitid
    data.unionid = user.unionid
    data.zhichu = data.chongzhi = data.shouru = data.tixian = this.data.page;
    data.openid = user.openid;
    Api.fetchPost(url, data, (err, res) => {
      // console.log(res, 'res')
      var r = res[1][0]
      if (r.chongzhi.length == 0 && r.shouru.length == 0 && r.tixian.length == 0 && r.zhichu.length == 0) {
        that.setData({
          scrollFlag: false,
        })
        setTimeout(function () {
          that.setData({
            success: true,
          })
        }, 3000)
      } else {
        that.constructData(res[1][0]);
      }

    })
  },
  scroll: function () {
    this.setData({
      success: 0
    })
  },
  chongzhi: function () {
    if (this.data.btninfo) {
      this.setData({ change1: 0, change: 1, btninfo: false, page: 0 })
      this.loadData();
    }
  },
  zhichu: function () {
    if (this.data.btninfo) {
      this.setData({ change: 0, change1: 1, btninfo: false, page: 0 })
      this.loadData();
    }
  },
  // 下拉刷新
  onPullDownRefresh: function () {
    console.log("ppp")
    this.setData({
      success: false,
      page:0
    })
    this.loadData();
  },
  onReachBottom: function () {
    this.setData({
      scrollFlag: true,
      success: false
    })
    console.log("xiala")
    this.lower();
  },
  constructData1: function (data) {
    let that = this;
    console.log(data)
    var dataArr = [];
    console.log(this.data.change, this.data.change1)
    if (this.data.change == 1) {
      for (let i = 0; i < data.chongzhi.length; i++) {
        data.chongzhi[i].otype = 0;
        dataArr.push(data.chongzhi[i])
      }
    }
    if (this.data.change1 == 1) {
      for (let i = 0; i < data.zhichu.length; i++) {
        data.zhichu[i].otype = 3;
        dataArr.push(data.zhichu[i])
      }
    }
    for (let j = 0; j < dataArr.length; j++) {
      for (let i = 0; i < dataArr.length - j - 1; i++) {
        if (dataArr[i].createtime < dataArr[i + 1].createtime) {
          var temp = dataArr[i];
          dataArr[i] = dataArr[i + 1];
          dataArr[i + 1] = temp;
        }
      }
    }
    // if (this.data.change1 == 1 && this.data.change == 1) {
    //   var resu = this.data.recordDta;
    // } else {
      
    // }
    var resu = []
    for (let i = 0; i < dataArr.length; i++) {
      dataArr[i].createtime = Api.timestampToTime(dataArr[i].createtime)
      resu.push(dataArr[i])
    }
    console.log(dataArr.length < 10)
    var scrollFlag = dataArr.length < 10 ? false : true;
    that.setData({
      btninfo: true,
      recordDta: resu,
      recor404: 1,
      page: Number(that.data.page) + 10,
      scrollFlag: scrollFlag,
    })
      setTimeout(function () {
        that.setData({
          success: true,
        })
    }, 3000)
  },
})